OSTREE ADMIN DEPLOY(1)

NAME
ostree-admin-deploy - Checkout a revision as the new default deployment

SYNOPSIS

ostree admin deploy [OPTIONS...] {REFSPEC}

DESCRIPTION

Takes a commit or revision REFSPEC, and queues the new deployment as default upon reboot.

OPTIONS

--os="OSNAME"
    Use a different operating system root than the current one.

--origin-file="FILENAME"
    Use FILENAME as the origin, which is where OSTree will look for updated versions of the tree.

--retain
    Do not delete previous deployment.

--karg-proc-cmdline
    Import current /proc/cmdline.

--karg="NAME=VALUE"
    Set kernel argument, like root=/dev/sda1; this overrides any earlier argument with the same name.

--karg-append="NAME=VALUE"
    Append kernel argument; useful with e.g. console= that can be used multiple times.

EXAMPLE

$ ostree admin status

            * gnome-ostree 67e382b11d213a402a5313e61cbc69dfd5ab93cb07.0
                origin refspec: gnome-ostree/buildmaster/x86_64-runtime
              gnome-ostree ce19c41036cc45e49b0cecf6b157523c2105c4de1ce3.0
                origin refspec: gnome-ostree/buildmaster/x86_64-runtime

$ ostree admin deploy gnome-ostree/buildmaster/x86_64-runtime

            ostadmin: Creating deployment /ostree/deploy/gnome-ostree/deploy/7e382b11d213a402a5313e61cbc69dfd5ab93cb07.1
            ostadmin: Processing /etc: 3 modified, 0 removed, 29 added
            Transaction complete: bootconfig swap: no deployment count change: 0)

$ ostree admin status

              gnome-ostree 67e382b11d213a402a5313e61cbc69dfd5ab93cb07.1
                origin refspec: gnome-ostree/buildmaster/x86_64-runtime
            * gnome-ostree 67e382b11d213a402a5313e61cbc69dfd5ab93cb07.0
                origin refspec: gnome-ostree/buildmaster/x86_64-runtime